Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nResource

    java.lang.Object
      ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource

Direct Known Subclasses:
  EnterpriseRoleResource, GlobalRoleResource, HierarchyRoleResource, LeafRoleResource, P13nLibraryResource, P13nSecurityResource, WebappRoleResource

    public abstract class P13nResource

extends ResourceBase

Field Summary
`static String` | `empty` Empty string

Constructor Summary
`P13nResource()` No Args constructor
`P13nResource(SecurityResource securityResource, String libraryResourceId, String initialCapability)` Construct fields for security and library resources.

Method Summary
`String` | `getCapabilityName()`
`String` | `getEntAppName()` Gets the application name associated with this resource
`String[]` | `getKeys()` Gets keys for this resource.
`String` | `getLibraryResourceId()`
`String` | `getResourceName()`
`abstract int` | `getResourceScope()` Implemented by P13nResource subclasses
`SecurityResource` | `getSecurityResource()` Returns the resource object used to look for security policies.
`String` | `getType()` Gets the type of this resource (`ApplicationResource`).
`String` | `getWebAppName()`
`Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current resource.
`void` | `setInitialValues(String theInitialCapability, String theLibRsrcId, String theScope)`
`void` | `setSecurityResource(SecurityResource theSecurityResource)` Sets the resource object used to look for security policies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### empty

    public static final String empty

  Empty string

  See Also
    Constants Summary

Constructor Detail

### P13nResource

    public P13nResource(SecurityResource securityResource,
                        String libraryResourceId,
                        String initialCapability)

  Construct fields for security and library resources.

### P13nResource

    public P13nResource()

  No Args constructor

Method Detail

### getResourceScope

    public abstract int getResourceScope()

  Implemented by P13nResource subclasses

### makeParent

    public Resource makeParent()

  Gets a `Resource` object that represents the parent of the current resource. If the resource does not have a parent, the value of `null` must be returned.

  This method is sensitive to the role scoping of this class instance. The following process is used to determine what should be returned as the parent Resource:

  GlobalRoleResource => null parent

  EnterpriseRoleResource => GlobalRoleResource parent

  WebappRoleResource => EnterpriseRoleResource parent

  HierarchyRoleResource => HierarchyRoleResource parent until appResourceId has been traversed, then => WebappRoleResource parent

  LeafRoleResource => GlobalRoleResource parent

  Returns
    the `Resource` object of the parent resource.

### getKeys

    public String[] getKeys()

  Gets keys for this resource.

  Returns
    an array of Strings containing this resource's keys.

### getType

    public String getType()

  Gets the type of this resource (`ApplicationResource`).

  Returns
    the String type of this resource.

### getSecurityResource

    public SecurityResource getSecurityResource()

  Returns the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### setSecurityResource

    public void setSecurityResource(SecurityResource theSecurityResource)

  Sets the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### toString

    public String toString()

### setInitialValues

    public void setInitialValues(String theInitialCapability,
                                 String theLibRsrcId,
                                 String theScope)

### getEntAppName

    public String getEntAppName()

  Gets the application name associated with this resource

  Returns
    a String indicating the name of the application in which the resource is deployed

### getWebAppName

    public String getWebAppName()

### getResourceName

    public String getResourceName()

### getCapabilityName

    public String getCapabilityName()

### getLibraryResourceId

    public String getLibraryResourceId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved